discoverer_server:
  ros__parameters:
    max_num_of_waypoints: 70 # maximum waypoints to be generated
    min_num_of_waypoints: 10 # minimum waypoints to be generated
    current_floor: 0 # current floor to explore
    top_floor: 2 # top floor to explore
    conv_size: 10 # pixels radius for convulation
    conv_threshold: 40 # value for convulation threshold
    min_dist_from_goal: 1.5
    calc_new_wp_dist: 2.5
    step_size: 0.4 # value for step size between generated points
    debug_mode: true # print debug messages
    start_from_curr_pose: false # start exploration from current robot's position
    reset_slam_on_start: true #reset slam on start exploration
    reset_slam_script_path: 'ghost_ws/src/autokit_sim/scripts/reset_slam.bash' # relative to home
    saved_maps_path: 'savedMaps' # relative to home
    
